__wake_up_sync
Prev | Delaying, scheduling, and timer routines | Next

## Name

__wake_up_sync — wake up threads blocked on a waitqueue.

## Synopsis

`void fastcall __wake_up_sync (` | wait_queue_head_t * | q,
| unsigned int | mode,
| int | nr_exclusive`)`;

## Arguments

`q`

  the waitqueue

`mode`

  which threads

`nr_exclusive`

  how many wake-one or wake-many threads to wake up

## Description

The sync wakeup differs that the waker knows that it will schedule away soon, so while the target thread will be woken up, it will not be migrated to another CPU - ie. the two threads are 'synchronized' with each other. This can prevent needless bouncing between CPUs.

On UP it can prevent extra preemption.

Prev | Up | Next
__wake_up | Home | task_nice